Dying Light não aabre na OpenGL 3.0 [RESOLVIDO]

1. Dying Light não aabre na OpenGL 3.0 [RESOLVIDO]

Davis Slira
IrmaoDoXP

(usa Ubuntu)

Enviado em 26/12/2015 - 02:48h

Eu comprei o jogo "Dying Light" pela stem, só que ao abrir, aparece a seguinte janela
Unsupported version of OpenGL!
Detected OpenGL version 3.0 Mesa 10.5.9
Required OpenGL version 3.3
Please update your display driver

depois, aparece a tela de carregamento do jogo, mas ao chegar no final, ele simplesmente fecha...
Eu sei que tem que atualizar o OpenGL, mas como é que faz isso... eu não sou nenhum profissional nessas coisas de script,shell, compiz e etc...

Meu notebook:
GT 750M
Intel core I7


  


2. MELHOR RESPOSTA

Elder Marco
eldermarco

(usa Fedora)

Enviado em 26/12/2015 - 13:02h

Supondo que você esteja utilizando a versão mais recente do Ubuntu, talvez seja apenas uma questão de atualizar o seu sistema que, automaticamente, a OpenGL deverá ser atualizada e você não deverá mais ter problemas. Abra um terminal e digite:

$ sudo apt-get update 


Entre com sua senha e deixe o sistema se atualizar. Depois reinicie e tente novamente.

3. Re: Dying Light não aabre na OpenGL 3.0 [RESOLVIDO]

M.
XProtoman

(usa Fedora)

Enviado em 26/12/2015 - 05:06h

Boa noite,

Alguém lhe dará uma resposta melhor,

Não tenho esse jogo, não conheço o problema. supondo que a "GT 750M" é uma GeFORCE e o que você mostrou são as versões do OpenGL instaladas na sua máquina e que você deve estar usando drivers abertos então o jogo pode não estar funcionando porque precisa de uma versão especifica e superior do OpenGL, normalmente drivers fechados devem atender isso, principalmente se tratando de NVIDIA se for o caso.

Você pode instalar os drivers(fechados) da NVIDIA, faz anos que não tenho placas dela porém normalmente sempre foram drivers bons, em algumas distribuições devem até existir pacotes disponíveis nelas para você instalar ou você pode baixar o instalador e realizar alguns procedimentos e instalar. Existem várias vantagens de instalar os pacotes disponibilizados pela sua própria distribuição do que instalar pelo instalador, porém nem toda distribuição disponibiliza esses drivers por causa de suas regras, filosofia.

Existem riscos em instalar e usar esses drivers: não leio faz muito tempo informações de drivers fechados da AMD e NVIDIA, mas acho que li que os da AMD poderiam causar problemas na exibição do GNOME e talvez até os da NVIDIA devem ter sofrido com isso por um tempo se ainda não sofrem(provavelmente não); normalmente esses drivers quando instalados substituem algumas bibliotecas do sistema, desabilitam alguns módulos para evitar conflitos, logicamente se algo sair errado eles vão ficar quebrados e se for possível você vai ter que tentar reverter essa situação provavelmente sem utilizar um ambiente gráfico.

Se você decidir baixar o instalador provavelmente(talvez ainda seja assim) você terá que ir para linha de comando desligar temporariamente o X, rodar o instalador, responder poucas perguntas e se tudo der certo terminar e reiniciar. Você precisará de algumas coisas antes instaladas como compilador e alguns pacotes de desenvolvimento, antigamente necessário também o linux-headers.

Boa sorte.


4. Re

Davis Slira
IrmaoDoXP

(usa Ubuntu)

Enviado em 26/12/2015 - 05:18h

XProtoman escreveu:

Boa noite,

Alguém lhe dará uma resposta melhor,

Não tenho esse jogo, não conheço o problema. supondo que a "GT 750M" é uma GeFORCE e o que você mostrou são as versões do OpenGL instaladas na sua máquina e que você deve estar usando drivers abertos então o jogo pode não estar funcionando porque precisa de uma versão especifica e superior do OpenGL, normalmente drivers fechados devem atender isso, principalmente se tratando de NVIDIA se for o caso.

Você pode instalar os drivers(fechados) da NVIDIA, faz anos que não tenho placas dela porém normalmente sempre foram drivers bons, em algumas distribuições devem até existir pacotes disponíveis nelas para você instalar ou você pode baixar o instalador e realizar alguns procedimentos e instalar. Existem várias vantagens de instalar os pacotes disponibilizados pela sua própria distribuição do que instalar pelo instalador, porém nem toda distribuição disponibiliza esses drivers por causa de suas regras, filosofia.

Existem riscos em instalar e usar esses drivers: não leio faz muito tempo informações de drivers fechados da AMD e NVIDIA, mas acho que li que os da AMD poderiam causar problemas na exibição do GNOME e talvez até os da NVIDIA devem ter sofrido com isso por um tempo se ainda não sofrem(provavelmente não); normalmente esses drivers quando instalados substituem algumas bibliotecas do sistema, desabilitam alguns módulos para evitar conflitos, logicamente se algo sair errado eles vão ficar quebrados e se for possível você vai ter que tentar reverter essa situação provavelmente sem utilizar um ambiente gráfico.

Se você decidir baixar o instalador provavelmente(talvez ainda seja assim) você terá que ir para linha de comando desligar temporariamente o X, rodar o instalador, responder poucas perguntas e se tudo der certo terminar e reiniciar. Você precisará de algumas coisas antes instaladas como compilador e alguns pacotes de desenvolvimento, antigamente necessário também o linux-headers.

Boa sorte.


Bem, ao entrar na central de programas e atualizações, da para acessar a aba "Drivers Adicionais" em que mostra que estou usando o driver "X.or X server" e que é possivel usar o driver "Nvidia binary driver- 352.63(proprietario,testado)", eu não sei se ao trocar vai funcionar... eu não sei nada sobre essas coisas de driver e sla... e sim é uma geforce






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts